// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/voip.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//Объект состояния вызова
type ActiveCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	OwnerId     string            `protobuf:"bytes,2,opt,name=ownerId,proto3" json:"ownerId,omitempty"`
	Callee      string            `protobuf:"bytes,3,opt,name=callee,proto3" json:"callee,omitempty"`
	Dialnumber  string            `protobuf:"bytes,4,opt,name=dialnumber,proto3" json:"dialnumber,omitempty"`
	Created     int64             `protobuf:"varint,5,opt,name=created,proto3" json:"created,omitempty"`
	Targetfs    string            `protobuf:"bytes,6,opt,name=targetfs,proto3" json:"targetfs,omitempty"`
	MaxDuration int64             `protobuf:"varint,7,opt,name=maxDuration,proto3" json:"maxDuration,omitempty"`
	TariffName  string            `protobuf:"bytes,8,opt,name=tariffName,proto3" json:"tariffName,omitempty"`
	Media       api.CallMedia     `protobuf:"varint,9,opt,name=media,proto3,enum=com.freeje.CallMedia" json:"media,omitempty"`
	Direction   api.CallDirection `protobuf:"varint,10,opt,name=direction,proto3,enum=com.freeje.CallDirection" json:"direction,omitempty"`
}

func (x *ActiveCall) Reset() {
	*x = ActiveCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_voip_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ActiveCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ActiveCall) ProtoMessage() {}

func (x *ActiveCall) ProtoReflect() protoreflect.Message {
	mi := &file_admin_voip_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ActiveCall.ProtoReflect.Descriptor instead.
func (*ActiveCall) Descriptor() ([]byte, []int) {
	return file_admin_voip_proto_rawDescGZIP(), []int{0}
}

func (x *ActiveCall) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *ActiveCall) GetOwnerId() string {
	if x != nil {
		return x.OwnerId
	}
	return ""
}

func (x *ActiveCall) GetCallee() string {
	if x != nil {
		return x.Callee
	}
	return ""
}

func (x *ActiveCall) GetDialnumber() string {
	if x != nil {
		return x.Dialnumber
	}
	return ""
}

func (x *ActiveCall) GetCreated() int64 {
	if x != nil {
		return x.Created
	}
	return 0
}

func (x *ActiveCall) GetTargetfs() string {
	if x != nil {
		return x.Targetfs
	}
	return ""
}

func (x *ActiveCall) GetMaxDuration() int64 {
	if x != nil {
		return x.MaxDuration
	}
	return 0
}

func (x *ActiveCall) GetTariffName() string {
	if x != nil {
		return x.TariffName
	}
	return ""
}

func (x *ActiveCall) GetMedia() api.CallMedia {
	if x != nil {
		return x.Media
	}
	return api.CallMedia(0)
}

func (x *ActiveCall) GetDirection() api.CallDirection {
	if x != nil {
		return x.Direction
	}
	return api.CallDirection(0)
}

//Heartbeat состояние Freeswitch инстанса
type FreeswitchHeartbeat struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Createdms int64             `protobuf:"varint,2,opt,name=createdms,proto3" json:"createdms,omitempty"`
	Variables map[string]string `protobuf:"bytes,3,rep,name=variables,proto3" json:"variables,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *FreeswitchHeartbeat) Reset() {
	*x = FreeswitchHeartbeat{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_voip_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FreeswitchHeartbeat) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FreeswitchHeartbeat) ProtoMessage() {}

func (x *FreeswitchHeartbeat) ProtoReflect() protoreflect.Message {
	mi := &file_admin_voip_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FreeswitchHeartbeat.ProtoReflect.Descriptor instead.
func (*FreeswitchHeartbeat) Descriptor() ([]byte, []int) {
	return file_admin_voip_proto_rawDescGZIP(), []int{1}
}

func (x *FreeswitchHeartbeat) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *FreeswitchHeartbeat) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

func (x *FreeswitchHeartbeat) GetVariables() map[string]string {
	if x != nil {
		return x.Variables
	}
	return nil
}

var File_admin_voip_proto protoreflect.FileDescriptor

var file_admin_voip_proto_rawDesc = []byte{
	0x0a, 0x10, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x76, 0x6f, 0x69, 0x70, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xcc, 0x02, 0x0a, 0x0a, 0x41, 0x63, 0x74, 0x69, 0x76,
	0x65, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x49, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x49, 0x64, 0x12,
	0x16, 0x0a, 0x06, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x63, 0x61, 0x6c, 0x6c, 0x65, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x69, 0x61, 0x6c, 0x6e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x69, 0x61,
	0x6c, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x12, 0x1a, 0x0a, 0x08, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x66, 0x73, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x66, 0x73, 0x12, 0x20, 0x0a,
	0x0b, 0x6d, 0x61, 0x78, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x07, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0b, 0x6d, 0x61, 0x78, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x1e, 0x0a, 0x0a, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x2b, 0x0a, 0x05, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x43, 0x61, 0x6c, 0x6c,
	0x4d, 0x65, 0x64, 0x69, 0x61, 0x52, 0x05, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x12, 0x37, 0x0a, 0x09,
	0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32,
	0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x43, 0x61, 0x6c,
	0x6c, 0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x09, 0x64, 0x69, 0x72, 0x65,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xd9, 0x01, 0x0a, 0x13, 0x46, 0x72, 0x65, 0x65, 0x73, 0x77,
	0x69, 0x74, 0x63, 0x68, 0x48, 0x65, 0x61, 0x72, 0x74, 0x62, 0x65, 0x61, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1c, 0x0a,
	0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x12, 0x56, 0x0a, 0x09, 0x76,
	0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x38,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x46, 0x72, 0x65, 0x65, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68,
	0x48, 0x65, 0x61, 0x72, 0x74, 0x62, 0x65, 0x61, 0x74, 0x2e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x73, 0x1a, 0x3c, 0x0a, 0x0e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38,
	0x01, 0x32, 0xb5, 0x01, 0x0a, 0x04, 0x56, 0x6f, 0x69, 0x70, 0x12, 0x5e, 0x0a, 0x16, 0x47, 0x65,
	0x74, 0x46, 0x72, 0x65, 0x65, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x48, 0x65, 0x61, 0x72, 0x74,
	0x62, 0x65, 0x61, 0x74, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x29, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x46, 0x72, 0x65, 0x65, 0x73, 0x77, 0x69, 0x74, 0x63, 0x68, 0x48,
	0x65, 0x61, 0x72, 0x74, 0x62, 0x65, 0x61, 0x74, 0x30, 0x01, 0x12, 0x4d, 0x0a, 0x0e, 0x47, 0x65,
	0x74, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x43, 0x61, 0x6c, 0x6c, 0x73, 0x12, 0x17, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63, 0x74,
	0x69, 0x76, 0x65, 0x43, 0x61, 0x6c, 0x6c, 0x30, 0x01, 0x42, 0x6a, 0x0a, 0x14, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x42, 0x08, 0x56, 0x6f, 0x69, 0x70, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3b, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f,
	0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b,
	0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x3b, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02, 0x08, 0x56, 0x6f, 0x69,
	0x70, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_voip_proto_rawDescOnce sync.Once
	file_admin_voip_proto_rawDescData = file_admin_voip_proto_rawDesc
)

func file_admin_voip_proto_rawDescGZIP() []byte {
	file_admin_voip_proto_rawDescOnce.Do(func() {
		file_admin_voip_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_voip_proto_rawDescData)
	})
	return file_admin_voip_proto_rawDescData
}

var file_admin_voip_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_admin_voip_proto_goTypes = []interface{}{
	(*ActiveCall)(nil),          // 0: com.freeje.api.admin.ActiveCall
	(*FreeswitchHeartbeat)(nil), // 1: com.freeje.api.admin.FreeswitchHeartbeat
	nil,                         // 2: com.freeje.api.admin.FreeswitchHeartbeat.VariablesEntry
	(api.CallMedia)(0),          // 3: com.freeje.CallMedia
	(api.CallDirection)(0),      // 4: com.freeje.CallDirection
	(*api.RequestMode)(nil),     // 5: com.freeje.RequestMode
}
var file_admin_voip_proto_depIdxs = []int32{
	3, // 0: com.freeje.api.admin.ActiveCall.media:type_name -> com.freeje.CallMedia
	4, // 1: com.freeje.api.admin.ActiveCall.direction:type_name -> com.freeje.CallDirection
	2, // 2: com.freeje.api.admin.FreeswitchHeartbeat.variables:type_name -> com.freeje.api.admin.FreeswitchHeartbeat.VariablesEntry
	5, // 3: com.freeje.api.admin.Voip.GetFreeswitchHeartbeat:input_type -> com.freeje.RequestMode
	5, // 4: com.freeje.api.admin.Voip.GetActiveCalls:input_type -> com.freeje.RequestMode
	1, // 5: com.freeje.api.admin.Voip.GetFreeswitchHeartbeat:output_type -> com.freeje.api.admin.FreeswitchHeartbeat
	0, // 6: com.freeje.api.admin.Voip.GetActiveCalls:output_type -> com.freeje.api.admin.ActiveCall
	5, // [5:7] is the sub-list for method output_type
	3, // [3:5] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_admin_voip_proto_init() }
func file_admin_voip_proto_init() {
	if File_admin_voip_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_voip_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ActiveCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_voip_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FreeswitchHeartbeat); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_voip_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_voip_proto_goTypes,
		DependencyIndexes: file_admin_voip_proto_depIdxs,
		MessageInfos:      file_admin_voip_proto_msgTypes,
	}.Build()
	File_admin_voip_proto = out.File
	file_admin_voip_proto_rawDesc = nil
	file_admin_voip_proto_goTypes = nil
	file_admin_voip_proto_depIdxs = nil
}
